Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class GlyphTable

    java.lang.Object
      org.pdfbox.ttf.TTFTable
          org.pdfbox.ttf.GlyphTable

public class GlyphTable
extends TTFTable

A table in a true type font.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static String` | `TAG` Tag to identify this table.

Constructor Summary
`GlyphTable()`

Method Summary
`GlyphData[]` | `getGlyphs()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setGlyphs(GlyphData[] glyphsValue)`

Methods inherited from class org.pdfbox.ttf.TTFTable
`getCheckSum, getLength, getOffset, getTag, setCheckSum, setLength, setOffset, setTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

  Tag to identify this table.

  See Also:
    Constant Field Values

Constructor Detail

### GlyphTable

    public GlyphTable()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Overrides:
    `initData` in class `TTFTable`
  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getGlyphs

    public GlyphData[] getGlyphs()

  Returns:
    Returns the glyphs.

### setGlyphs

    public void setGlyphs(GlyphData[] glyphsValue)

  Parameters:
    `glyphsValue` - The glyphs to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD